/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa.entity;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.modules.sys.entity.Office;


/**
 * 考勤规则Entity
 * @author 孟祥越
 * @version 2017-05-10
 */
public class OaAttendancePlace extends DataEntity<OaAttendancePlace> {
	
	private static final long serialVersionUID = 1L;
	private Office company;			//公司名称
	private String placeName;		// 考勤地点
	private String placeScope;		// 考勤范围
	private String longitude;		// 考勤地点经度
	private String latitude;		// 考勤地点纬度
	private OaAttendanceRule oaAttendanceRule;		// 主表

	public OaAttendancePlace() {
		super();
	}

	public OaAttendancePlace(String id){
		super(id);
	}


	public OaAttendancePlace(OaAttendanceRule oaAttendanceRule) {
		this.oaAttendanceRule=oaAttendanceRule;
	}
	public String getPlaceName() {
		return placeName;
	}
	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}
	public String getPlaceScope() {
		return placeScope;
	}
	public void setPlaceScope(String placeScope) {
		this.placeScope = placeScope;
	}
	public OaAttendanceRule getOaAttendanceRule() {
		return oaAttendanceRule;
	}
	public void setOaAttendanceRule(OaAttendanceRule oaAttendanceRule) {
		this.oaAttendanceRule = oaAttendanceRule;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public Office getCompany() {
		return company;
	}

	public void setCompany(Office company) {
		this.company = company;
	}
	
	
}